Module java.desktop
Package javax.print.attribute.standard

## Class MediaName

- java.lang.Object
- - javax.print.attribute.EnumSyntax
  - - javax.print.attribute.standard.Media
    - - javax.print.attribute.standard.MediaName

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Attribute`, `DocAttribute`, `PrintJobAttribute`, `PrintRequestAttribute`

    public class MediaName
    extends Media
    implements Attribute

Class `MediaName` is a subclass of `Media`, a printing attribute class (an enumeration) that specifies the media for a print job as a name.

This attribute can be used instead of specifying `MediaSize` or `MediaTray`.

Class `MediaName` currently declares a few standard media names. Implementation- or site-defined names for a media name attribute may also be created by defining a subclass of class `MediaName`.

IPP Compatibility: `MediaName` is a representation class for values of the IPP "media" attribute which names media.

See Also:
  Serialized Form

### Field Summary

Fields
`static MediaName` `ISO_A4_TRANSPARENT` A4 transparency.
`static MediaName` `ISO_A4_WHITE` white A4 paper.
`static MediaName` `NA_LETTER_TRANSPARENT` letter transparency.
`static MediaName` `NA_LETTER_WHITE` white letter paper.

### Constructor Summary

Constructors
`protected` `MediaName​(int value)` Constructs a new media name enumeration value with the given integer value.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected EnumSyntax[]` `getEnumValueTable()` Returns the enumeration value table for class `MediaTray`.
`protected String[]` `getStringTable()` Returns the string table for class `MediaTray`.

### Methods declared in class javax.print.attribute.standard.Media

`equals, getCategory, getName`

### Methods declared in class javax.print.attribute.EnumSyntax

`clone, getOffset, getValue, hashCode, readResolve, toString`

### Methods declared in class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods declared in interface javax.print.attribute.Attribute

`getCategory, getName`

### Field Detail

#### NA_LETTER_WHITE

    public static final MediaName NA_LETTER_WHITE

white letter paper.

#### NA_LETTER_TRANSPARENT

    public static final MediaName NA_LETTER_TRANSPARENT

letter transparency.

#### ISO_A4_WHITE

    public static final MediaName ISO_A4_WHITE

white A4 paper.

#### ISO_A4_TRANSPARENT

    public static final MediaName ISO_A4_TRANSPARENT

A4 transparency.

### Constructor Detail

#### MediaName

    protected MediaName​(int value)

Constructs a new media name enumeration value with the given integer value.

Parameters:
  `value` - Integer value

### Method Detail

#### getStringTable

    protected String[] getStringTable()

Returns the string table for class `MediaTray`.

Overrides:
  `getStringTable` in class `EnumSyntax`
Returns:
  the string table

#### getEnumValueTable

    protected EnumSyntax[] getEnumValueTable()

Returns the enumeration value table for class `MediaTray`.

Overrides:
  `getEnumValueTable` in class `EnumSyntax`
Returns:
  the enumeration value table